Package ghidra.trace.database.program

# Class DBTraceProgramView.OverlappingAddressRangeKeyIteratorMerger<T>

java.lang.Object
ghidra.util.PairingIteratorMerger<Map.Entry<AddressRange,T>,Map.Entry<AddressRange,T>,Map.Entry<AddressRange,T>>
ghidra.trace.database.program.DBTraceProgramView.OverlappingAddressRangeKeyIteratorMerger<T>

All Implemented Interfaces:
  `Comparator<Map.Entry<AddressRange,T>>`, `BiPredicate<Map.Entry<AddressRange,T>,Map.Entry<AddressRange,T>>`, `Iterator<org.apache.commons.lang3.tuple.Pair<Map.Entry<AddressRange,T>,Map.Entry<AddressRange,T>>>`

Enclosing class:
  `DBTraceProgramView`

protected static class DBTraceProgramView.OverlappingAddressRangeKeyIteratorMerger<T> extends PairingIteratorMerger<Map.Entry<AddressRange,T>,Map.Entry<AddressRange,T>,Map.Entry<AddressRange,T>>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OverlappingAddressRangeKeyIteratorMerger(Iterator<Map.Entry<AddressRange,T>> left, Iterator<Map.Entry<AddressRange,T>> right)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compare(Map.Entry<AddressRange,T> o1, Map.Entry<AddressRange,T> o2)`
  `protected static <T> Iterable<org.apache.commons.lang3.tuple.Pair<Map.Entry<AddressRange,T>,Map.Entry<AddressRange,T>>>`
  `iter(Iterable<Map.Entry<AddressRange,T>> left, Iterable<Map.Entry<AddressRange,T>> right)`
  `boolean`
  `test(Map.Entry<AddressRange,T> t, Map.Entry<AddressRange,T> u)`

  ### Methods inherited from class ghidra.util.PairingIteratorMerger

  `findNext, hasNext, next`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.function.BiPredicate

  `and, negate, or`

  ### Methods inherited from interface java.util.Comparator

  `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining, remove`

- ## Constructor Details

  - ### OverlappingAddressRangeKeyIteratorMerger

    public OverlappingAddressRangeKeyIteratorMerger(Iterator<Map.Entry<AddressRange,T>> left, Iterator<Map.Entry<AddressRange,T>> right)

- ## Method Details

  - ### iter

    protected static <T> Iterable<org.apache.commons.lang3.tuple.Pair<Map.Entry<AddressRange,T>,Map.Entry<AddressRange,T>>> iter(Iterable<Map.Entry<AddressRange,T>> left, Iterable<Map.Entry<AddressRange,T>> right)

  - ### compare

    public int compare(Map.Entry<AddressRange,T> o1, Map.Entry<AddressRange,T> o2)

  - ### test

    public boolean test(Map.Entry<AddressRange,T> t, Map.Entry<AddressRange,T> u)